<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Pearson Web Component</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width" />
    <!-- THESE IMPORTS ARE NECESSARY FOR PROPER RENDERING DURING DEVELOPMENT -->
    <link rel="stylesheet" href="https://unpkg.com/@pearson-ux/gravity-css/dist/gravity.css" />

    <script type="text/javascript">
      if(/MSIE \d|Trident.*rv:/.test(navigator.userAgent)) {
        document.write('<script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/webcomponents-loader.js"><\/script>');
        document.write('<script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/custom-elements-es5-adapter.js"><\/script>');
      } else {
        document.write('<script src="https://unpkg.com/@webcomponents/webcomponentsjs@^2/webcomponents-loader.js"><\/script>');
        document.write('<script src="https://unpkg.com/@webcomponents/webcomponentsjs@^2/custom-elements-es5-adapter.js"><\/script>');
      }
    </script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.24.0/moment-with-locales.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment-range/4.0.2/moment-range.js"></script>
    <script src="./js/dist/pearson-tabs.js"></script>


    <link rel="stylesheet" href="./main.css">

    <style>
      pearson-tabs {
        max-width: 40rem;
        margin: auto;
      }
      h2 {
        text-align: center;
      }

    </style>


  </he
    <h2>Light theme</h2>
    <pearson-tabs>
        <ul class="tabs" slot="tabs">
          <li>Tab one</li>
          <li>Tab two</li>
          <li>Tab three</li>
        </ul>

        <div class="panels" slot="panels">
          <div data-panel>
            <span>Content one!</span>
            <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Eaque voluptatum ullam possimus atque maiores placeat minus reprehenderit illum dignissimos aperiam, provident eveniet tempora similique harum porro aspernatur asperiores. Soluta, cupiditate!</p>
          </div>
          <div data-panel>
            <p>Content two!</p>
            <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Eaque voluptatum ullam possimus atque maiores placeat minus reprehenderit illum dignissimos aperiam, provident eveniet tempora similique harum porro aspernatur asperiores. Soluta, cupiditate!</p>
          </div>
          <div data-panel>
            <p>Content three!</p>
            <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Eaque voluptatum ullam possimus atque maiores placeat minus reprehenderit illum dignissimos aperiam, provident eveniet tempora similique harum porro aspernatur asperiores. Soluta, cupiditate!</p>
          </div>
        </div>

      </pearson-tabs>
    <footer class="light">
      <ul class="links">
        <li><a href="#">Terms of Use</a></li>
        <li><a href="#">Privacy Policy</a></li>
        <li><a href="#">Accessibility</a></li>
        <li><a href="#">Permissions</a></li>
        <li><a href="#">Support</a></li>
      </ul>
      <p class="copyright">asdfasfasfsaf</p>
    </footer>
  <script>
    const tabs = document.querySelector('pearson-tabs'),
            span = tabs.shadowRoot.querySelectorAll('button span');

    tabs.addEventListener('tabChange', event=> {
      // when the tab is clicked, do whatever you want with the shadow spans
      console.log(span)
    })
  </script>
  </body>
</html>
